# $Revision: 1.7 $, $Date: 2004/01/24 12:52:14 $
Summary:	31337 recoder is a text/data recoder swiss army knife for h4x0rz
Summary(pl):	31337 recoder to wszechstronny program do przekodowywania tekstu/danych dla h4x0rw
Name:		erecoder
Version:	0.4.1
Release:	1
License:	GPL v2
Group:		Applications/Text
Source0:	http://eleet.czad.org/%{name}-%{version}.tar.gz
# Source0-md5:	74c6b9f5cf01d487d632429dfa02c17b
URL:		http://eleet.czad.org/
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
31337 recoder (erecoder) is a text/data recoder swiss army knife for
h4x0rz;).

Its features include:
 - Input from stdin, file or command line
 - Encoding byte values to numeric systems from binary to 36-ary;)
 - Encoding to escaped hexadecimal or octal
 - Encoding with ROT-x and Base64 encodings
 - Decoding of all above ;)
 - Mixing many different encodings

%description -l pl
31337 recoder (erecoder) to wszechstronne narzdzie do przekodowywania
tekstu i danych dla hax0rw ;)

Jego moliwoci to m.in.:
 - czytanie ze standardowego wejcia, pliku lub linii polece
 - kodowanie wartoci bajtw w systemach liczenia od binarnego do
   36-go
 - kodowanie w notacji szesnastkowej lub semkowej z backslashem
 - kodowanie ROT-x oraz Base64
 - dekodowanie wszystkiego powyszego ;)
 - mieszanie wielu rnych kodowa.

%prep
%setup -q

%build
cp /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: erecoder.spec,v $
Revision 1.7  2004/01/24 12:52:14  wolf
- 0.4.1
- amd64 fix

Revision 1.6  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.5  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:47:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/06 19:41:56  wolf
- 0.3.0

Revision 1.2  2002/12/30 12:22:21  qboosh
- adapterized, pl

